Showing results for 
Search instead for 
Do you mean 
Reply
Community Manager
Posts: 2,411
Registered: ‎07-21-2010

Software Update required

Xerox Color C60/C70 and Xerox® Versant® 80 Press and Xerox® Versant® 2100 Press users your device(s) requires the latest software update that must be completed before June 30th in order to continue remote services. For more information, Xerox Color C60/C70 click here, Xerox Versant 80 Press and Xerox Versant 2100 Press click here.

Thanks,
CherylO-Xerox
Community Manager

Be sure to click Kudos for those who have helped you.
Select Accept as Solution for posts that have helped to solve your issue(s)!